using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Pass_By_Value
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void goButton_Click(object sender, EventArgs e)
        {
            int number = 99;

            // Wyświetlenie wartości zmiennej number.
            MessageBox.Show("Wartość zmiennej number wynosi " + number);

            // Wywołanie metody ChangeMe() i przekazanie argumentu w postaci zmiennej number.
            ChangeMe(number);

            // Ponowne wyświetlenie wartości zmiennej number.
            MessageBox.Show("Wartość zmiennej number wynosi " + number);
        }

        private void ChangeMe(int myValue)
        {
            // Zmiana wartości parametru myValue.
            myValue = 0;

            // Wyświetlenie wartości zmiennej myValue.
            MessageBox.Show("W metodzie ChangeMe() wartość myValue wynosi " + myValue);
        }
    }
}
